Subject: Re: WTB: Used parts washer-drum style

From: [email-masked] (Marc Davis)
Date: Mon, 02 Oct 1995 17:37:15 GMT

I got one of the 20 Gal. washers from one of the dissount tool
outlets.  The pump was frozen up and the switch broke after a week.
The sheet metel was OK.  Hard to say if it was worth the $100 I paid
but the units from Mc Master and Graingers were to expensive.

Marc Davis

Orlando Banos <[email-masked]> wrote:

>Hi, I'm in the market for a used parts washer, drum style. Preferably in 
>the Central Texas area. Please e-mail me at [email-masked] 
>or call 512-386-2017.

>Thanks,

>Orlando